<html>
<head>
<title>OGRE: Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a>::<a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html">AutoConstantDefinition</a></div>
<h1>Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference</h1><!-- doxytag: class="Ogre::GpuProgramParameters::AutoConstantDefinition" -->Structure defining an auto constant that's available for use in a parameters object.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#8cba1c8038151f5451c1468817725277">AutoConstantDefinition</a> (<a class="el" href="classOgre_1_1GpuProgramParameters.html#155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a> _acType, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;_name, size_t _elementCount, <a class="el" href="classOgre_1_1GpuProgramParameters.html#39b96ad6d11ed0042375a0643c311046">ElementType</a> _elementType, <a class="el" href="classOgre_1_1GpuProgramParameters.html#1fe0f4aa9dd371e8eef09f36a50e45bf">ACDataType</a> _dataType)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramParameters.html#155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#90e1d49cb2787182581adc8468e4c348">acType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#e5ad78cdb1c72d317aaf994fdc801b6b">name</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#3c85f97571e5e5a5eabbf7fb6895a3be">elementCount</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramParameters.html#39b96ad6d11ed0042375a0643c311046">ElementType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#fd666b79a5ca388640daf451d7da8c07">elementType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The type of the constant in the program.  <a href="#fd666b79a5ca388640daf451d7da8c07"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramParameters.html#1fe0f4aa9dd371e8eef09f36a50e45bf">ACDataType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#be44294de0ca95bbea253b60aec0c351">dataType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The type of any extra data.  <a href="#be44294de0ca95bbea253b60aec0c351"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure defining an auto constant that's available for use in a parameters object. 
<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00634">634</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="8cba1c8038151f5451c1468817725277"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::AutoConstantDefinition" ref="8cba1c8038151f5451c1468817725277" args="(AutoConstantType _acType, const String &amp;_name, size_t _elementCount, ElementType _elementType, ACDataType _dataType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::GpuProgramParameters::AutoConstantDefinition::AutoConstantDefinition           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html#155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a>&nbsp;</td>
          <td class="paramname"> <em>_acType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>_elementCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html#39b96ad6d11ed0042375a0643c311046">ElementType</a>&nbsp;</td>
          <td class="paramname"> <em>_elementType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html#1fe0f4aa9dd371e8eef09f36a50e45bf">ACDataType</a>&nbsp;</td>
          <td class="paramname"> <em>_dataType</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00644">644</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="90e1d49cb2787182581adc8468e4c348"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::acType" ref="90e1d49cb2787182581adc8468e4c348" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramParameters.html#155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a> <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#90e1d49cb2787182581adc8468e4c348">Ogre::GpuProgramParameters::AutoConstantDefinition::acType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00636">636</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e5ad78cdb1c72d317aaf994fdc801b6b"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::name" ref="e5ad78cdb1c72d317aaf994fdc801b6b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#e5ad78cdb1c72d317aaf994fdc801b6b">Ogre::GpuProgramParameters::AutoConstantDefinition::name</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00637">637</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3c85f97571e5e5a5eabbf7fb6895a3be"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::elementCount" ref="3c85f97571e5e5a5eabbf7fb6895a3be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#3c85f97571e5e5a5eabbf7fb6895a3be">Ogre::GpuProgramParameters::AutoConstantDefinition::elementCount</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00638">638</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fd666b79a5ca388640daf451d7da8c07"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::elementType" ref="fd666b79a5ca388640daf451d7da8c07" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramParameters.html#39b96ad6d11ed0042375a0643c311046">ElementType</a> <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#fd666b79a5ca388640daf451d7da8c07">Ogre::GpuProgramParameters::AutoConstantDefinition::elementType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The type of the constant in the program. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00640">640</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="be44294de0ca95bbea253b60aec0c351"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantDefinition::dataType" ref="be44294de0ca95bbea253b60aec0c351" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramParameters.html#1fe0f4aa9dd371e8eef09f36a50e45bf">ACDataType</a> <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#be44294de0ca95bbea253b60aec0c351">Ogre::GpuProgramParameters::AutoConstantDefinition::dataType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The type of any extra data. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00642">642</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:50 2008
</p>
</body>
</html>
